Bullet Collision Detection & Physics Library: InplaceSolverIslandCallback Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
InplaceSolverIslandCallback Struct Reference
Inheritance diagram for InplaceSolverIslandCallback:
[legend]
Collaboration diagram for InplaceSolverIslandCallback:
[legend]

## Public Member Functions
| InplaceSolverIslandCallback (btConstraintSolver *solver, btStackAlloc *stackAlloc, btDispatcher *dispatcher)
InplaceSolverIslandCallback & | operator= (InplaceSolverIslandCallback &other)
void | setup (btContactSolverInfo *solverInfo, btTypedConstraint **sortedConstraints, int numConstraints, btIDebugDraw *debugDrawer)
virtual void | processIsland (btCollisionObject **bodies, int numBodies, btPersistentManifold **manifolds, int numManifolds, int islandId)
void | processConstraints ()
Public Member Functions inherited from btSimulationIslandManager::IslandCallback
virtual | ~IslandCallback ()

## Public Attributes
btContactSolverInfo * | m_solverInfo
btConstraintSolver * | m_solver
btTypedConstraint ** | m_sortedConstraints
int | m_numConstraints
btIDebugDraw * | m_debugDrawer
btDispatcher * | m_dispatcher
btAlignedObjectArray< btCollisionObject * > | m_bodies
btAlignedObjectArray< btPersistentManifold * > | m_manifolds
btAlignedObjectArray< btTypedConstraint * > | m_constraints

## Detailed Description

Definition at line 78 of file btDiscreteDynamicsWorld.cpp.

## Constructor & Destructor Documentation

## ◆ InplaceSolverIslandCallback()

InplaceSolverIslandCallback::InplaceSolverIslandCallback | ( | btConstraintSolver * | solver,
|  | btStackAlloc * | stackAlloc,
|  | btDispatcher * | dispatcher
| ) |  |
| inline

Definition at line 91 of file btDiscreteDynamicsWorld.cpp.

## Member Function Documentation

## ◆ operator=()

InplaceSolverIslandCallback& InplaceSolverIslandCallback::operator= | ( | InplaceSolverIslandCallback & | other | ) |
| inline

Definition at line 104 of file btDiscreteDynamicsWorld.cpp.

## ◆ processConstraints()

void InplaceSolverIslandCallback::processConstraints | ( |  | ) |
| inline

Definition at line 178 of file btDiscreteDynamicsWorld.cpp.

## ◆ processIsland()

virtual void InplaceSolverIslandCallback::processIsland | ( | btCollisionObject ** | bodies,
|  | int | numBodies,
|  | btPersistentManifold ** | manifolds,
|  | int | numManifolds,
|  | int | islandId
| ) |  |
| inlinevirtual

we don't split islands, so all constraints/contact manifolds/bodies are passed into the solver regardless the island id

Implements btSimulationIslandManager::IslandCallback.

Definition at line 123 of file btDiscreteDynamicsWorld.cpp.

## ◆ setup()

void InplaceSolverIslandCallback::setup | ( | btContactSolverInfo * | solverInfo,
|  | btTypedConstraint ** | sortedConstraints,
|  | int | numConstraints,
|  | btIDebugDraw * | debugDrawer
| ) |  |
| inline

Definition at line 111 of file btDiscreteDynamicsWorld.cpp.

## Member Data Documentation

## ◆ m_bodies

btAlignedObjectArray<btCollisionObject*> InplaceSolverIslandCallback::m_bodies

Definition at line 87 of file btDiscreteDynamicsWorld.cpp.

## ◆ m_constraints

btAlignedObjectArray<btTypedConstraint*> InplaceSolverIslandCallback::m_constraints

Definition at line 89 of file btDiscreteDynamicsWorld.cpp.

## ◆ m_debugDrawer

btIDebugDraw* InplaceSolverIslandCallback::m_debugDrawer

Definition at line 84 of file btDiscreteDynamicsWorld.cpp.

## ◆ m_dispatcher

btDispatcher* InplaceSolverIslandCallback::m_dispatcher

Definition at line 85 of file btDiscreteDynamicsWorld.cpp.

## ◆ m_manifolds

btAlignedObjectArray<btPersistentManifold*> InplaceSolverIslandCallback::m_manifolds

Definition at line 88 of file btDiscreteDynamicsWorld.cpp.

## ◆ m_numConstraints

int InplaceSolverIslandCallback::m_numConstraints

Definition at line 83 of file btDiscreteDynamicsWorld.cpp.

## ◆ m_solver

btConstraintSolver* InplaceSolverIslandCallback::m_solver

Definition at line 81 of file btDiscreteDynamicsWorld.cpp.

## ◆ m_solverInfo

btContactSolverInfo* InplaceSolverIslandCallback::m_solverInfo

Definition at line 80 of file btDiscreteDynamicsWorld.cpp.

## ◆ m_sortedConstraints

btTypedConstraint** InplaceSolverIslandCallback::m_sortedConstraints

Definition at line 82 of file btDiscreteDynamicsWorld.cpp.

The documentation for this struct was generated from the following file:

- btDiscreteDynamicsWorld.cpp